local PickupableSystem = inherited("PickupableSystem", SystemMap)

function PickupableSystem:new()
	local ms = instance(self)
	return ms
end

PickupableSystem.key = "pickupables"

function PickupableSystem:wants(ent)
	return ent.aspects.pickupable
end

function PickupableSystem:uses_system(sys)
	
end

function PickupableSystem:ent_added(ent)
	local sys = self.world:get_system_by_key("hud_control")
	if sys then
		sys:on_pickup_added(ent)
	end
end

function PickupableSystem:ent_removed(ent)
end

function PickupableSystem:get_pickupables_map()
	return self.ents
end

return PickupableSystem